PHP Version:
Subject: Improve error handling of translation handling
Description

At the moment, if a translation for a plural version of a translation is not available, the translation system silently fails.

It would be better to throw an exception if the translation is available but the matching plural version is missing so that the developer
knows whats going on.

Additionally the documentation for the plural handling of the translation system should be updated. An example for a translation with
multiple plurals is this:

<group id="my.unique.translationkey" restype="x-gettext-plurals">
    <trans-unit id="my.unique.translationkey[0]">
        <source>MySourceText</source>
        <target>This is only {0} item.</target>
    </trans-unit>
    <trans-unit  id=my.unique.translationkey[1]">
        <source>MySourceText</source>
        <target>These are {0} items.</target>
    </trans-unit>
</group>

For more details you can also have a look at the Google+ Post about this topic.

Associated revisions
Revision 3c0e30a0 - 2012-05-07 14:17 - Robert Lemke

[TASK] Add section on XLIFF plural form handling to guide

Adds a short explanation of plural form handling in XLIFF files to
the FLOW3 guide.

Change-Id: Ie09858e3ee668253207e1d61598c68e42fce6635
Related: #36088
Releases: 1.1

Revision 9ee4f38a - 2012-05-07 14:17 - Robert Lemke

[FEATURE] Improve logging for translation handling
https://plus.google.com/u/0/111164297971761777611/posts/L8mgHWWnKfV


When a translation is not found a warning is logged so that the
user gets a clue what is wrong.

Change-Id: Id492016b825a304520f9aa8766e5eb73fa5170f7
Resolves: #36088
Releases: 1.1

History
#1 - 2012-04-15 11:55 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10523

#2 - 2012-05-01 00:05 - Karsten Dambekalns
- Tracker changed from Bug to Feature

#3 - 2012-05-01 00:05 - Karsten Dambekalns
- Assigned To set to Alexander Stehlik
- Target version set to 1.1

#4 - 2012-05-01 00:06 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10523

#5 - 2012-05-01 00:08 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10523

#6 - 2012-05-04 10:15 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10523

#7 - 2012-05-04 11:10 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10523

#8 - 2012-05-07 14:13 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10523
#9 - 2012-05-07 14:17 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10523

#10 - 2012-05-07 14:39 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9ee4f38a9caa0974e45d378e7fa35b1c1fb6ab75.
